Bug 1383972 (CVE-2016-8606) - CVE-2016-8606 guile: REPL server vulnerable to HTTP inter-protocol attacks
Summary: CVE-2016-8606 guile: REPL server vulnerable to HTTP inter-protocol attacks
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-8606
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20161011,repor...
Depends On: 1383973 1383974 1383975
Blocks: 1383977
TreeView+ depends on / blocked
 
Reported: 2016-10-12 09:31 UTC by Andrej Nemec
Modified: 2019-06-08 21:30 UTC (History)
3 users (show)

Fixed In Version: guile 2.0.13
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in guile's REPL server (--listen), making it vulnerable to HTTP inter-protocol attacks. A crafted website, when visited by a developer with an instance of the REPL server, could cause arbitrary code execution within the guile scheme interpreter.
Clone Of:
Environment:
Last Closed: 2016-12-16 05:05:10 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-10-12 09:31:36 UTC
GNU Guile, an implementation of the Scheme language, provides a "REPL server" which is a command prompt that developers can connect to for live coding and debugging purposes. The REPL server is started by the '--listen' command-line option or equivalent API.

It was  reported that the REPL server is vulnerable to the HTTP inter-protocol attack

This constitutes a remote code execution vulnerability for developers running a REPL server that listens on a loopback device or private network. Applications that do not run a REPL server, as is usually the case, are unaffected.

References:

http://seclists.org/oss-sec/2016/q4/100

Upstream patch:

http://git.savannah.gnu.org/cgit/guile.git/commit/?h=stable-2.0&id=08c021916dbd3a235a9f9cc33df4c418c0724e03

Comment 1 Andrej Nemec 2016-10-12 09:33:22 UTC
Created compat-guile18 tracking bugs for this issue:

Affects: fedora-all [bug 1383974]
Affects: epel-7 [bug 1383975]

Comment 2 Andrej Nemec 2016-10-12 09:33:29 UTC
Created guile tracking bugs for this issue:

Affects: fedora-all [bug 1383973]

Comment 3 Miroslav Lichvar 2016-10-12 10:03:41 UTC
It seems the repl server was added in guile-2.0, so the compat-guile18 packages shouldn't be affected.

Comment 4 Doran Moppert 2016-12-16 05:04:39 UTC
Statement:

Red Hat Product Security has rated this issue as having Moderate security
impact. This issue is not currently planned to be addressed in future
updates. For additional information, refer to the Issue Severity
Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.